diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 0a841c5db37..29be0232b48 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -433,8 +433,12 @@ add_dependencies(common-objs legacy-option-headers)
 
 if(WITH_JAEGER)
   find_package(thrift 0.13.0 REQUIRED)
-  include(BuildOpentelemetry)
-  build_opentelemetry()
+  find_package(opentelemetry-cpp REQUIRED)
+  set(jaeger_base
+	  opentelemetry-cpp::common
+	  opentelemetry-cpp::trace
+	  opentelemetry-cpp::jaeger_trace_exporter
+	  thrift::libthrift)
   add_library(jaeger_base INTERFACE)
   target_link_libraries(jaeger_base INTERFACE opentelemetry::libopentelemetry
     thrift::libthrift)
